org.eclipse.rdf4j.model.vocabulary

## Class ROV

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.ROV

-     public class ROV
      extends Object

  Constants for the W3C Registered Organization Vocabulary.
  Author:
    Bart Hanssens
  See Also:
    Registered Organization Vocabulary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `HAS_REGISTERED_ORGANIZATION` rov:hasRegisteredOrganization
    `static IRI` | `LEGAL_NAME` rov:legalName
    `static String` | `NAMESPACE` The ROV namespace: http://www.w3.org/ns/regorg#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the Registered Organization namespace.
    `static IRI` | `ORG_ACTIVITY` rov:orgActivity
    `static IRI` | `ORG_STATUS` rov:orgStatus
    `static IRI` | `ORG_TYPE` rov:orgType
    `static String` | `PREFIX` Recommended prefix for the Registered Organization namespace: "rov"
    `static IRI` | `REGISTERED_ORGANIZATION` rov:RegisteredOrganization
    `static IRI` | `REGISTRATION` rov:registration

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROV()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The ROV namespace: http://www.w3.org/ns/regorg#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the Registered Organization namespace: "rov"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the Registered Organization namespace.

    - #### REGISTERED_ORGANIZATION

          public static final IRI REGISTERED_ORGANIZATION

      rov:RegisteredOrganization

    - #### HAS_REGISTERED_ORGANIZATION

          public static final IRI HAS_REGISTERED_ORGANIZATION

      rov:hasRegisteredOrganization

    - #### LEGAL_NAME

          public static final IRI LEGAL_NAME

      rov:legalName

    - #### ORG_ACTIVITY

          public static final IRI ORG_ACTIVITY

      rov:orgActivity

    - #### ORG_STATUS

          public static final IRI ORG_STATUS

      rov:orgStatus

    - #### ORG_TYPE

          public static final IRI ORG_TYPE

      rov:orgType

    - #### REGISTRATION

          public static final IRI REGISTRATION

      rov:registration

  - ### Constructor Detail

    - #### ROV

          public ROV()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.